
package org.w3c.dom.svg;

public interface SVGPathSeg {
  // Path Segment Types
  public static final short SVG_PATHSEG_UNKNOWN                      = 0;
  public static final short SVG_PATHSEG_CLOSEPATH                    = 1;
  public static final short SVG_PATHSEG_MOVETO_ABS                   = 2;
  public static final short SVG_PATHSEG_MOVETO_REL                   = 3;
  public static final short SVG_PATHSEG_LINETO_ABS                   = 4;
  public static final short SVG_PATHSEG_LINETO_REL                   = 5;
  public static final short SVG_PATHSEG_CURVETO_CUBIC_ABS            = 6;
  public static final short SVG_PATHSEG_CURVETO_CUBIC_REL            = 7;
  public static final short SVG_PATHSEG_CURVETO_QUADRATIC_ABS        = 8;
  public static final short SVG_PATHSEG_CURVETO_QUADRATIC_REL        = 9;
  public static final short SVG_PATHSEG_ARC_ABS                      = 10;
  public static final short SVG_PATHSEG_ARC_REL                      = 11;
  public static final short SVG_PATHSEG_LINETO_HORIZONTAL_ABS        = 12;
  public static final short SVG_PATHSEG_LINETO_HORIZONTAL_REL        = 13;
  public static final short SVG_PATHSEG_LINETO_VERTICAL_ABS          = 14;
  public static final short SVG_PATHSEG_LINETO_VERTICAL_REL          = 15;
  public static final short SVG_PATHSEG_CURVETO_CUBIC_SMOOTH_ABS     = 16;
  public static final short SVG_PATHSEG_CURVETO_CUBIC_SMOOTH_REL     = 17;
  public static final short SVG_PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS = 18;
  public static final short SVG_PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL = 19;

  public short getPathSegType( );
  public void      setPathSegType( short pathSegType );
  public String      getPathSegTypeAsLetter( );
  public void      setPathSegTypeAsLetter( String pathSegTypeAsLetter );
  public float   getX( );
  public void      setX( float x );
  public float   getY( );
  public void      setY( float y );
  public float   getX1( );
  public void      setX1( float x1 );
  public float   getY1( );
  public void      setY1( float y1 );
  public float   getX2( );
  public void      setX2( float x2 );
  public float   getY2( );
  public void      setY2( float y2 );
  public float   getR1( );
  public void      setR1( float r1 );
  public float   getR2( );
  public void      setR2( float r2 );
  public float   getAngle( );
  public void      setAngle( float angle );
  public boolean getLargeArcFlag( );
  public void      setLargeArcFlag( boolean largeArcFlag );
  public boolean getSweepFlag( );
  public void      setSweepFlag( boolean sweepFlag );
}
